forpy 2

Classes | Namespaces | Macros | Functions | Variables
global.h File Reference
`#include <glog/logging.h>`
`#include <iomanip>`
`#include <iostream>`
`#include <thread>`
`#include "./version.h"`
`#include <string>`
`#include <csignal>`

Go to the source code of this file.

## Classes
class | forpy::ForpyException
class | forpy::EmptyException

## Namespaces
| forpy

## Macros
#define | FORPY_GLOBAL_H_
#define | VIRTUAL(type) = 0
#define | VIRTUAL_VOID = 0
#define | VIRTUAL_PTR = 0
#define | NOASSIGN_BUT_MOVE(TypeName)
#define | MOVE_ASSIGN(TypeName)
#define | DISALLOW_COPY_AND_ASSIGN(TypeName)
#define | FBREAKP std::raise(SIGINT)
#define | FASSERT(condition)
#define | DllExport
#define | TemplateExport extern template class
#define | TemplateFuncExport extern template
#define | ExportVar extern

## Functions
bool | ends_with (std::string const &value, std::string const &ending)
void | forpy::init ()
static bool | FORPY_OPENCV_AVAILABLE ()

## Variables
static const bool | forpy::SKLEARN_COMPAT

## Macro Definition Documentation

## ◆ DISALLOW_COPY_AND_ASSIGN

#define DISALLOW_COPY_AND_ASSIGN | ( |  | TypeName | ) |

Value:
TypeName(const TypeName&); \
TypeName& operator=(const TypeName&);

Definition at line 64 of file global.h.

## ◆ DllExport

#define DllExport

Definition at line 129 of file global.h.

## ◆ ExportVar

#define ExportVar extern

Definition at line 143 of file global.h.

## ◆ FASSERT

#define FASSERT | ( |  | condition | ) |

Definition at line 124 of file global.h.

## ◆ FBREAKP

#define FBREAKP std::raise(SIGINT)

Definition at line 114 of file global.h.

## ◆ FORPY_GLOBAL_H_

#define FORPY_GLOBAL_H_

Definition at line 4 of file global.h.

## ◆ MOVE_ASSIGN

#define MOVE_ASSIGN | ( |  | TypeName | ) |

Value:
TypeName(TypeName&&) = default; \
TypeName& operator=(TypeName&&) = default;

Definition at line 60 of file global.h.

## ◆ NOASSIGN_BUT_MOVE

#define NOASSIGN_BUT_MOVE | ( |  | TypeName | ) |

Value:
TypeName(const TypeName&) = delete; \
TypeName& operator=(const TypeName&) = delete; \
TypeName(TypeName&&) = default; \
TypeName& operator=(TypeName&&) = default;

A macro to disallow the copy constructor and operator= functions This should be used in the private: declarations for a class see http://google-styleguide.googlecode.com/svn/trunk/cppguide.xml.

Definition at line 54 of file global.h.

## ◆ TemplateExport

#define TemplateExport extern template class

Definition at line 141 of file global.h.

## ◆ TemplateFuncExport

#define TemplateFuncExport extern template

Definition at line 142 of file global.h.

## ◆ VIRTUAL

#define VIRTUAL | ( |  | type | ) | = 0

Definition at line 31 of file global.h.

## ◆ VIRTUAL_PTR

#define VIRTUAL_PTR = 0

Definition at line 33 of file global.h.

## ◆ VIRTUAL_VOID

#define VIRTUAL_VOID = 0

Definition at line 32 of file global.h.

## Function Documentation

## ◆ ends_with()

bool ends_with | ( | std::string const & | value,
|  | std::string const & | ending
| ) |  |
| inline

Definition at line 23 of file global.h.

## ◆ FORPY_OPENCV_AVAILABLE()

static bool FORPY_OPENCV_AVAILABLE | ( |  | ) |
| static

Definition at line 151 of file global.h.